Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.conf
Class CompositeKeyDepthOption

    java.lang.Object
      org.drools.conf.CompositeKeyDepthOption

All Implemented Interfaces:
  Serializable, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

    public class CompositeKeyDepthOption

extends Object
implements SingleValueKnowledgeBaseOption

A class for the composite key depth configuration.

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME` The property name for the default DIALECT

Method Summary
`boolean` | `equals(Object obj)`
`static CompositeKeyDepthOption` | `get(int depth)` This is a factory method for this CompositeKeyDepth configuration.
`int` | `getDepth()` Returns the depth value for composite key indexing
`String` | `getPropertyName()` Returns the property name for this option
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the default DIALECT

  See Also:
    Constant Field Values

Method Detail

### get

    public static CompositeKeyDepthOption get(int depth)

  This is a factory method for this CompositeKeyDepth configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.

  Parameters:
    `depth` - the composite key depth value
  Returns:
    the actual type safe CompositeKeyDepth configuration.

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getDepth

    public int getDepth()

  Returns the depth value for composite key indexing

  Returns:

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.